<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$clie_tipo_doc=ucfirst(limpiar($_POST['clie_tipo_doc']));
$clie_cc=ucfirst(limpiar($_POST['clie_cc']));
$clie_dv=ucfirst(limpiar($_POST['clie_dv']));
$clie_nombre=mb_strtoupper(limpiar($_POST['clie_nombre']));
$clie_representante=mb_strtoupper(limpiar($_POST['clie_representante']));
$clie_correo=mb_strtoupper(limpiar($_POST['clie_correo']));
$clie_telefono=ucfirst(limpiar($_POST['clie_telefono']));
$clie_departamento=ucfirst(limpiar($_POST['clie_departamento']));
$clie_ciudad=ucfirst(limpiar($_POST['clie_ciudad']));
$clie_direccion=mb_strtoupper(limpiar($_POST['clie_direccion']));
$clie_barrio=mb_strtoupper(limpiar($_POST['clie_barrio']));
$clie_contribuyente=mb_strtoupper(limpiar($_POST['clie_contribuyente']));
$clie_regimen=mb_strtoupper(limpiar($_POST['clie_regimen']));
$clie_tarifa=ucfirst(limpiar($_POST['clie_tarifa']));
$clie_facturador=limpiar($_POST['clie_facturador']);

if( empty($_POST['clie_credito'])) 
{
    $clie_credito='0';
    $clie_cupo_credito='0';
    $clie_disponible='0';
} 
else 
{
    $clie_credito=ucfirst(limpiar($_POST['clie_credito']));
    $clie_cupo_credito=ucfirst(limpiar($_POST['clie_cupo_credito']));
    $clie_disponible=ucfirst(limpiar($_POST['clie_disponible']));       
}


$query=mysqli_query($con,"SELECT * from cliente where clie_cc = '$clie_cc' and empresa='$empresa' ") or die(mysqli_error($con));
$results=mysqli_fetch_array($query);
if(isset($results['clie_cc']))
{
    echo '<div class="alert alert-danger light">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> 
            <i class="icon-verified_user"></i> <strong>Documento!</strong> No Disponible.
        </div>';
}
else
{
    $can=mysqli_query($con,"SELECT MAX(clie_id) as clie_id FROM cliente") or die(mysqli_error($con)); 
    $dato=mysqli_fetch_array($can);
    $clie_id=$dato['clie_id']+1;

    $registros=mysqli_query($con,"INSERT into cliente (clie_id,clie_cc,clie_dv,clie_tipo_doc,clie_nombre,clie_empresa,clie_direccion,clie_barrio,clie_telefono,clie_correo,clie_departamento,clie_ciudad,clie_contribuyente,clie_regimen,clie_credito,clie_cupo_credito,clie_disponible,clie_nota_credito,tarifas_tar_id,facturador,clie_activo,empresa)
    VALUES ('$clie_id','$clie_cc','$clie_dv','$clie_tipo_doc','$clie_nombre','$clie_representante','$clie_direccion','$clie_barrio','$clie_telefono','$clie_correo','$clie_departamento','$clie_ciudad','$clie_contribuyente','$clie_regimen','$clie_credito','$clie_cupo_credito','$clie_disponible','0','$clie_tarifa','$clie_facturador','si','$empresa')") or die(mysqli_error($con));
       
        echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Cliente!</strong> Registrado correctamente.
        </div>';
        ?>
        <script type="text/javascript">
            document.getElementById("nuevo_clie").reset();
            $(setup)
            function setup() {
                  $('#intro select').zelect({ placeholder:''})
            }
        </script>
        <form method="post" action="" id="form_adelanto1" name="form_adelanto1">
            <div class="form-group">
                <span class="input-group-btn" align="right" >
                    <button href="#nuevocliente" class="btn btn-default input-sm" data-toggle="modal" type="button" href="#buscarcliente"><i class="btn-icon-only icon-plus"> Nuevo</i>
                    </button>
                </span> 
            </div>

                <label class="pull-left">Cliente </label>
                <section id="intro" >
                    <select name="clie_id" id="clie_id" class="form-control name_list" required>
                            <option value="<?php echo $clie_id;?>"><?php echo $clie_cc;?> - <?php echo $clie_nombre;?></option>
                        <?php  
                            $datos=mysqli_query($con,"SELECT * FROM cliente WHERE empresa='$empresa' and clie_nombre<>'CLIENTE MOSTRADOR'") ;
                            while( $fila=mysqli_fetch_array($datos))
                            {
                                 echo'<option value="'.$fila['clie_id'].'">'.$fila['clie_cc'].' - '.$fila['clie_nombre'].'</option>';
                            }
                        ?>
                    </select>
                </section>
                <label>Concepto </label>
                <input type="text" name="concepto" value="" class="form-control name_list" autocomplete="off" required >
                <label>Valor Total </label>
                <input type="number" name="total" value="" class="form-control name_list" autocomplete="off" required >
                <label class="pull-left">Forma de Pago</label> </br>
                <div class="middle" id="ventana2">
                    <label>
                        <input type="radio" name="forma_pago" id="forma_pago" value="efectivo" checked onChange="pago_adelantado2(this)"/>
                        <div class="front-end box"><span>EFECTIVO</span></div>
                    </label>
                    <label>
                        <input type="radio" name="forma_pago" id="forma_pago" value="transferencia" onChange="pago_adelantado2(this)"/>
                        <div class="back-end box"><span>TRANSFERENCIA</span></div>
                    </label>
                    <label>
                        <input type="radio" name="forma_pago" id="forma_pago" value="tarjeta" onChange="pago_adelantado2(this)"/>
                        <div class="back-end box"><span>TARJETA</span></div>
                    </label>
                </div>
                <div id="div_efectivo_adel2" style="display: "> </div>

                <div id="div_nota_adel2" style="display: none">
                    <label>Nota Credito Disponible</label>
                    <input type="text" name="nota_credito" id="nota_credito" value="" class="form-control name_list" autocomplete="off" readonly >
                </div>

                <div id="div_medio_pago_adel2" style="display: none">
                    <label>PLATAFORMA DE PAGO</label>
                    <select name="medio_pago" id="medio_pago" class="form-control name_list input-sm" required>
                        <?php
                            $datos = mysqli_query($con,"SELECT * FROM banco WHERE empresa='$empresa' order by ban_nombre asc") ;
                            while( $fila = mysqli_fetch_array( $datos ) )
                            {
                                echo' <option value="'.$fila['ban_nombre'].'">'.$fila['ban_nombre'].'</option>';
                            }
                        ?>
                    </select>
                </div>
                 <label>Abono </label>
                <input type="number" name="valor" value="" class="form-control name_list" autocomplete="off" required >
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                <button type="submit" class="btn btn-info" name="btn_adelanto1" id="btn_adelanto1">Registrar</button>
            </div>
<script>
function pago_adelantado2(sel) {
    if (sel.value=="efectivo")
    {
        divC = document.getElementById("div_nota_adel2");
        divC.style.display = "none";
        divT = document.getElementById("div_medio_pago_adel2");
        divT.style.display = "none";
        divT = document.getElementById("div_efectivo_adel2");
        divT.style.display = "block";
    } 
    else if (sel.value=="nota credito")
    {
        divC = document.getElementById("div_nota_adel2");
        divC.style.display = "";
        divT = document.getElementById("div_medio_pago_adel2");
        divT.style.display = "none";
        divT = document.getElementById("div_efectivo_adel2");
        divT.style.display = "none";
    } 
    else 
    {
        divC = document.getElementById("div_nota_adel2");
        divC.style.display="none";
        divT = document.getElementById("div_medio_pago_adel2");
        divT.style.display = "";
        divT = document.getElementById("div_efectivo_adel2");
        divT.style.display = "none";
    }
}
</script>  
        </form>
<script>
$("#form_adelanto1").submit(function( event ) {
$('#btn_adelanto1').attr("disabled", true);
var parametros=$(this).serialize();
    $.ajax({
    type: "POST",
    url: "php_movimientos/registrar_adelanto.php",
    data: parametros,
    beforeSend: function(objeto){
     $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#resultados").html(datos);
    $('#btn_adelanto1').attr("disabled", false);
    document.getElementById("form_adelanto1").reset();
    $('#adelanto').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    load(1);
    }
    });
    event.preventDefault();
})
</script>       
<?php  } ?>